SDL_GetAtomicU32(3)

NAME
SDL_GetAtomicU32 - Get the value of an atomic variable.

SYNOPSIS
#include <SDL3/SDL_atomic.h>

Uint32 SDL_GetAtomicU32(SDL_AtomicU32 *a);

DESCRIPTION

Note: If you don't know what this function is for, you shouldn't use it!

FUNCTION PARAMETERS

a   a pointer to an SDL_AtomicU32 variable.

RETURN VALUE
Returns the current value of an atomic variable.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_SetAtomicU32(3)